package tvark.old;

public class Property {
	private int  PStud, PTeach, PDidakt, POff, PMax, MaxLimit;
	private String rootdir;
	private double init;
	private int iter, iter1, iter_bayes;
	private double cool;
	private int bayes_on;
	private int BayesX1, BayesY1, BayesX2, BayesY2, bayes_best, bayes_best_current, ppInitial; 
	
	
	public Property(int stud, 
					int teach,
					int didakt,
					int off, 
					int max, 
					int maxLimit, 
					String rootdir, 
					double init, 
					int iter, 
					int iter1, 
					int iter_bayes, 
					double cool, 
					int bayes_on, 
					int BayesX1, 
					int BayesY1, 
					int BayesX2, 
					int BayesY2,
					int bayes_best,
					int baes_best_current,
					int ppIitial) 
	{
		super();
		PStud = stud;
		PTeach = teach;
		PDidakt = didakt;
		POff = off;
		PMax = max;
		MaxLimit = maxLimit;
		this.rootdir = rootdir; 
		this.init = init;
		this.iter1 = iter1;
		this.iter = iter;
		this.iter_bayes = iter_bayes;
		this.cool = cool;
		this.bayes_on = 0;
		this.BayesX1=BayesX1;
		this.BayesY1=BayesY1;
		this.BayesX2=BayesX2;
		this.BayesY2=BayesY2;
	}
	public int getBayes_on() {
		return bayes_on;}
	public void setBeyes_on(int bayes_on) {
		this.bayes_on = bayes_on;	}
	public int getPPInitial() {
		return ppInitial;}
	public void setPPInitial(int ppInitial) {
		this.ppInitial = ppInitial;	}
	
	//-----------------  bayes paramerai -----------------------------------
	public int getBayesX1()
		{return BayesX1;}
	public void setBayesX1(int BayesX1)
	 	{this.BayesX1 = BayesX1;}//----------- X1
	public int getBayesX2()
		{return BayesX2;}
	public void setBayesX2(int BayesX2)
 		{this.BayesX2 = BayesX2;}//----------- X2
	
	public int getBayesY1()
		{return BayesY1;}
	public void setBayesY1(int BayesY1)
 		{this.BayesY1 = BayesY1;}//----------- Y1
	
	public int getBayesY2()
		{return BayesY2;}
	public void setBayesY2(int BayesY2)
		{this.BayesY2 = BayesY2;}//----------- Y2
	
	public int getbayes_best() {
		return bayes_best;	}
	public void setbayes_best(int bayes_best) {
		this.bayes_best = bayes_best;
	}
	public int getbayes_best_current() {//----------------- einamasis beyes rezultatas
		return bayes_best_current;	}
	public void setbayes_best_current(int bayes_best_current) {
		this.bayes_best_current = bayes_best_current;
	}
	
	//---------------------------------------------------------------------
	public int getIter_bayes() {
		return iter_bayes;	
		}
	
	public void setIter_bayes(int iter_bayes) {
		this.iter_bayes = iter_bayes;
	}
	
	public double getCool() {
		return cool;}
	public void setCool(double cool) {
		this.cool = cool;
	}
	public double getInit() {
		return init;}
	public void setInit(double init) {
		this.init = init;
	}
	
	
	
	public int getIter() {
		return iter;
	}
	public void setIter(int iter) {
		this.iter = iter;
	}
	public int getMaxLimit() {
		return MaxLimit;
	}
	public void setMaxLimit(int maxLimit) {
		MaxLimit = maxLimit;
	}
	public int getPMax() {
		return PMax;
	}
	public void setPMax(int max) {
		PMax = max;
	}
	public int getPOff() {
		return POff;
	}
	public void setPOff(int off) {
		POff = off;
	}
	public int getPStud() {
		return PStud;
	}
	public void setPStud(int stud) {
		PStud = stud;
	}
	public int getPTeach() {
		return PTeach;
	}
	public void setPTeach(int teach) {
		PTeach = teach;
	}
	public int getPDidakt() {
		return PDidakt;
	}
	public void setPDidakt(int didakt) {
		PDidakt = didakt;
	}	
	
	public String getRootdir() {
		return rootdir;
	}
	public void setRootdir(String rootdir) {
		this.rootdir = rootdir;
	}


	public int getIter1() {
		return iter1;
	}

	public void setIter1(int iter1) {
		this.iter1 = iter1;
	}


}
